/*
 * This file is part of Generic Data Structures Library (GDSL).
 * Copyright (C) 1998-2001 Nicolas Darnis <ndarnis@free.fr>
 *
 * The GDSL library is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * The GDSL library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the GDSL library; see the file COPYING.
 * If not, write to the Free Software Foundation, Inc., 
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 * File: _integers.h
 * $Revision: 1.3 $
 * $Date: 2002/02/21 09:55:51 $
 * $Author: ndarnis $
 * $Id: _integers.h,v 1.3 2002/02/21 09:55:51 ndarnis Exp $
 */

#ifndef __MY_INTEGERS_H_
#define __MY_INTEGERS_H_

#include "gdsl.h"

extern gdsl_element_t 
alloc_integer (void *integer);

extern void 
free_integer (gdsl_element_t e);

extern int 
display_integer (gdsl_element_t e, void *d);

extern void
print_integer (gdsl_element_t e, FILE *file, void *d);

extern int
compare_integers (gdsl_element_t e1, void *e2);

extern char *
get_integer (gdsl_element_t e);

#endif /* __MY_INTEGERS_H_ */
