/*
 * This file is part of Generic Data Structures Library (GDSL).
 * Copyright (C) 1998-2001 Nicolas Darnis <ndarnis@free.fr>
 *
 * The GDSL library is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * The GDSL library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the GDSL library; see the file COPYING.
 * If not, write to the Free Software Foundation, Inc., 
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 * File: _strings.h
 * $Revision: 1.3 $
 * $Date: 2002/02/21 09:55:51 $
 * $Author: ndarnis $
 * $Id: _strings.h,v 1.3 2002/02/21 09:55:51 ndarnis Exp $
 */

#ifndef __MY_STRINGS_H_
#define __MY_STRINGS_H_

#include "gdsl.h"

extern gdsl_element_t 
alloc_string (void *string);

extern void 
free_string (gdsl_element_t e);

extern gdsl_element_t
copy_string (gdsl_element_t e);

extern int 
display_string (gdsl_element_t e, void *d);

extern void
print_string (gdsl_element_t e, FILE *file, void *d);

extern int 
compare_strings (gdsl_element_t s1, void *s2);

extern char *
get_string (gdsl_element_t e);

#endif /* __MY_STRINGS_H_ */

