/*
 * This file is part of Generic Data Structures Library (GDSL).
 * Copyright (C) 1998-2001 Nicolas Darnis <ndarnis@free.fr>
 *
 * The GDSL library is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * The GDSL library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the GDSL library; see the file COPYING.
 * If not, write to the Free Software Foundation, Inc., 
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 * File: main_heap.c
 * $Revision: 1.4 $
 * $Date: 2002/02/21 09:55:51 $
 * $Author: ndarnis $
 * $Id: main_heap.c,v 1.4 2002/02/21 09:55:51 ndarnis Exp $
 */

#include <config.h>
#include <stdio.h>
#include <stdlib.h>

#include "gdsl.h"

#ifdef HAVE_MEM_DEBUG
#include "_gdsl_mem.h"
#endif

#define N 15

static int 
comp (gdsl_element_t e1, gdsl_element_t e2);

int main (void)
{
  ulong i;
  gdsl_perm_t alpha;
  gdsl_element_t t[N] = {(gdsl_element_t) 'U',
			(gdsl_element_t) 'N',
			(gdsl_element_t) 'E',
			(gdsl_element_t) 'X',
			(gdsl_element_t) 'E',
			(gdsl_element_t) 'M',
			(gdsl_element_t) 'P',
			(gdsl_element_t) 'L',
			(gdsl_element_t) 'E',
			(gdsl_element_t) 'A',
  			(gdsl_element_t) 'T',
			(gdsl_element_t) 'R',
			(gdsl_element_t) 'I',
			(gdsl_element_t) 'E',
			(gdsl_element_t) 'R'};

  printf ("Tableau a trier = [ ");
  for (i = 0; i < N; i++)
    printf ("%c ", t[i]);
  printf ("]\n");

  if (gdsl_heap_sort (t, N, comp) < 0)
    return EXIT_FAILURE;

  printf ("Tableau trie    = [ ");
  for (i = 0; i < N; i++)
    printf ("%c ", t[i]);
  printf ("]\n");

  return EXIT_SUCCESS;
}

static int 
comp (gdsl_element_t e1, gdsl_element_t e2)
{
  return (char *) e1 - (char *) e2;
}
